summarylogtreecommitdiffstats
path: root/mkscr
diff options
context:
space:
mode:
authorJack Chen2021-06-28 17:49:27 +0800
committerJack Chen2021-06-28 17:49:27 +0800
commitfa54d6739e5d0072c4224b019733ce784b7a9b1d (patch)
tree21dc486a6a1cb2c3377344c18719cc427d8d56d2 /mkscr
downloadaur-fa54d6739e5d0072c4224b019733ce784b7a9b1d.tar.gz
init commit
Diffstat (limited to 'mkscr')
-rwxr-xr-xmkscr9
1 files changed, 9 insertions, 0 deletions
diff --git a/mkscr b/mkscr
new file mode 100755
index 000000000000..272b6a7a500f
--- /dev/null
+++ b/mkscr
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+if [[ ! -x /usr/bin/mkimage ]]; then
+ echo "mkimage not found. Please install uboot-tools:"
+ echo " pacman -S uboot-tools"
+ exit 1
+fi
+
+mkimage -A arm -O linux -T script -C none -n "U-Boot boot script" -d boot.txt boot.scr